﻿@using GridMvc.Html
@using GridMvc.Sorting

@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Adjustment.AdjustmentReportingModel>
@(
 Html.Grid(Model).Named("AllAdjustmentReporting").Columns(columns =>
{
    columns.Add(x => x.Code)
        .Titled("Code")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Code);

    columns.Add(x => x.ExpiredDate)
        .Titled("Expired Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.ExpiredDate.ToString("dd/MM/yyyy"));

    columns.Add(x => x.TransactionDateDT)
        .Titled("Transaction Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.TransactionDateDT.ToString("dd/MM/yyyy"));

    columns.Add(x => x.Point)
       .Titled("Point")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.Point.ToString());

    //columns.Add(x => x.MemberID.EventCode)
    //   .Titled("Event Code")
    //   .Encoded(false)
    //   .Sanitized(false)
    //   .Sortable(true)
    //   .RenderValueAs(x => x.MemberID.EventCode);

    columns.Add(x => x.CreatedDate)
       .Titled("Created Date")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.CreatedDate.ToString("dd/MM/yyyy"));

    columns.Add(x => x.MemberName)
        .Titled("Member Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MemberName);

    columns.Add(x => x.Reason)
        .Titled("Reason")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Reason);

    columns.Add(x => x.MemberEmail)
        .Titled("Member Email")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MemberEmail);

    //columns.Add()
    //      .Encoded(false)
    //      .Sanitized(false)
    //      .SetWidth(50)
    //      .Css("cell-center")
    // .RenderValueAs(x => string.Format("<a href=\"{0}\" data-name=\"{1}\" class=\"btn btn-xs btn-danger confirmModalProm\">Detail</a>", Url.Action(MVC.PromoReporting.Detail(x.MemberID.ID, x.PromoID.ID)), x.MemberID.Name));



}).Filterable()
.Sortable()
.WithPaging(5)
)

